<template>
  <div class="user-setting-search">
    <div class="row">
      <div class="col-xs-6">
        <div class="row">
          <div class="col-xs-12">
            <b>Шаг понижения аукциона</b>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-8">
            <p>
              Ставки на ваших аукционах будут кратны введённому шагу. Например, если шаг 1000 ₽, то ставки могут быть
              1000 ₽,
              2000 ₽, и так далее.
            </p>
          </div>

          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Шаг понижения аукциона"
                v-model="searchData.auction_step"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="₽"
                @blur="update"
            />
          </div>
        </div>
      </div>
      <div class="col-xs-6">
        <div class="row">
          <div class="col-xs-12">
            <b>Зачёт кругорейса</b>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-8">
            <p>
              При совпадении этих условий платформа предлагает автоматически сформировать кругорейс при выборе
              исполнителя.
              Радиус от точки погрузки, время плюс-минус от планового времени прибытия.
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Радиус"
                v-model="searchData.round_trip_radius"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="км"
                @blur="update"
            />
            <ObInput
                class="user-setting-search__input"
                label="Время, не более"
                v-model="searchData.round_trip_time"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-xs-6">
        <div class="row">
          <div class="col-xs-12">
            <b>Лидтаймы</b>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-8">
            <p>
              Лидтайм аукциона. Время для получения ставок от исполнителей на полученные ими запросы.
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Аукцион"
                v-model="searchData.auction_duration"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>
        <div class="row">
          <div class="col-xs-8">
            <p>
              Лидтайм букинг-запроса. Время для получения ответа от исполнителей на полученные ими букинг-запросы.
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Букинг-запрос"
                v-model="searchData.booking_duration"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Лидтайм упреждения. Высчитывается до планового времени прибытия на первую точку.
              В это время начнётся поиск исполнителей вторичных заказов.
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Упреждение"
                v-model="searchData.arrival_lead_time"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Лидтайм на подачу порожнего ТС
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Упреждение"
                v-model="searchData.empty_supply_lead_time"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Лидтайм на назначение ресурса. Исполнитель должен назначить ресурс в течение этого времени.
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Назначение"
                v-model="searchData.resource_assignment_lead_time"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>

        <div class="row">
          <div class="col-xs-8">
            <p>
              Лидтайм на подписание заявки. Исполнитель должен подписать заявку в течение этого времени.
            </p>
          </div>
          <div class="col-xs-4">
            <ObInput
                class="user-setting-search__input"
                label="Подписание"
                v-model="searchData.doc_signing_lead_time"
                placeholder="Введите значение"
                icon="icon question"
                subTitle="ч"
                @blur="update"
            />
          </div>
        </div>
      </div>

      <div class="col-xs-6">
        <div class="row">
          <div class="col-xs-12">
            <b>Запретительное значение рейтинга</b>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-8">
            <p>
              К участию в ваших аукционах и букинг-запросах будут допущены только перевозчики с рейтингом выше
              установленного.
            </p>
          </div>
          <div class="col-xs-4">
            <ob-stepper
                label="Рейтинг перевозчиков от"
                v-model="searchData.carrier_rate_min"
                property="carrier_rate_min"
                @blur="update"
            />
          </div>
        </div>
      </div>

    </div>
  </div>
</template>

<script>
  import ObInput from "common-components/src/obComponents/obInput";
  import ObStepper from "common-components/src/obComponents/obStepper";
  import {mapActions, mapMutations, mapGetters} from "vuex";

  export default {
    name: "Searching",
    components: {
      ObInput,
      ObStepper
    },
    data() {
      return {
        step_auction: 1000,
        radius: 100,
        time: 5,
        auction: 24,
        booking: 24,
        leadtime_preemptive: 6,
        leadtime_delivery: 4,
        leadtime_booked: 6,
        leadtime_allocated: 6,
        rating_value: [3]
      }
    },
    computed: {
      ...mapGetters({
        settingsType: 'clicarSettings_2/settingsType',
        settings: 'clicarSettings_2/settings',
        searchData: 'clicarSettings_2/searchData',
      })
    },
    methods: {
      ...mapActions({
        getSettings: 'clicarSettings_2/getSettings',
        getSettingsType: 'clicarSettings_2/getSettingsType',
        changeSearchData: 'clicarSettings_2/changeSearchData',
        update() {
          this.changeSearchData().then( () => {
            this.$notification({
              type: 'system_notification_success',
              message: 'Сохранено'
            })
          })
        }
      }),
      ...mapMutations({
        setSearchData: 'clicarSettings_2/SET_SEARCH_DATA',
      })
    },
    mounted() {
      this.getSettingsType('SEARCH_EXECUTORS_RESOURCES');
      this.getSettings();
    }
  }
</script>

<style scoped lang="scss">
  .user-setting-search {
    .col-xs-12 {
      margin-bottom: 14px;
    }
    .row {
      margin-bottom: 18px;
    }
    &__input {
      margin-bottom: 12px;
    }
    .opacity-disabled{
      opacity: .5;
      pointer-events: none;
    }
  }
</style>